Kunden und Leser

Fatal error: Call to undefined function boolval()

caterpillar 2753237 1920

Der Fehler trat nach Aktivierung eines neu installierten Plugins auf. Die Funktion boolsval() ist seit PHP Version 5.5.0 verfügbar. Die Meldung ist ein Hinweis darauf, dass die für den Webspace konfigurierte PHP-Version darunter liegt, und damit veraltet ist.

Wenn das passiert, ist es an der Zeit, auf PHP 7.x umzustellen. Mit einer aktuellen WordPress-Version und zeitgemäßen Komponenten ist das problemlos möglich. Ansonsten ist es sinnvoller auf Komponenten zu verzichten die eine Umstellung blockieren, als auf die Umstellung selbst. Nicht nur, dass neuere PHP-Versionen sicherer sind und ältere Versionen von Entwicklern zunehmend vernachlässigt werden. PHP 7.x wirkt sich auch positiv auf die Performance aus.

Wer bis jetzt noch nicht umgestellt hat, sollte prüfen, ob alle Komponenten (WordPress, Theme, Plugins) auf dem neuesten Stand sind und sich dann in der Server-Administration seines Webhosters anmelden (Zugangsdaten noch vorhanden? – Ansonsten Support kontaktieren und Daten gut aufbewahren, die braucht man immer mal wieder). Dort gibt es mit hoher Wahrscheinlichkeit PHP-Einstellungen in denen auf PHP 7.0.x oder gleich PHP 7.1.x oder PHP 7.2.x falls verfügbar umgestellt werden kann. Bei den meisten Providern sind Einzelheiten dazu wie das geht auf deren Website beschrieben.

Anschließend die umgestellte Website prüfen. Es könnte sein, dass ältere Plugins oder Themes nicht kompatibel sind und ausgetauscht werden müssen. Ggf. PHP-Version noch einmal auf PHP 5.6.x zurücksetzen. Das ist die letzte noch unterstützte PHP 5-Version.

Wer sich nicht selber an diese Aufgabe traut findet mit Sicherheit breite Unterstützung im Web, oder gleich hier.

weiter schmökern

Schreibe einen Kommentar

Bitte Kommentarfunktion nicht für Supportanfragen nutzen. Dem kann hier nicht entsprochen werden.

Deine E-Mail-Adresse wird nicht veröffentlicht.